mbed TLS v2.16.5

Data Fields
mbedtls_entropy_context Struct Reference

Entropy context structure. More...

`#include <entropy.h>`

Collaboration diagram for mbedtls_entropy_context:
[legend]

## Data Fields
int | accumulator_started
mbedtls_sha512_context | accumulator
int | source_count
mbedtls_entropy_source_state | source [MBEDTLS_ENTROPY_MAX_SOURCES]
mbedtls_threading_mutex_t | mutex

## Detailed Description

Entropy context structure.

Definition at line 123 of file entropy.h.

## Field Documentation

## ◆ accumulator

mbedtls_sha512_context mbedtls_entropy_context::accumulator

Definition at line 127 of file entropy.h.

## ◆ accumulator_started

int mbedtls_entropy_context::accumulator_started

Definition at line 125 of file entropy.h.

## ◆ mutex

mbedtls_threading_mutex_t mbedtls_entropy_context::mutex

mutex

Definition at line 137 of file entropy.h.

## ◆ source

mbedtls_entropy_source_state mbedtls_entropy_context::source[MBEDTLS_ENTROPY_MAX_SOURCES]

Definition at line 132 of file entropy.h.

## ◆ source_count

int mbedtls_entropy_context::source_count

Definition at line 131 of file entropy.h.

The documentation for this struct was generated from the following file:

- entropy.h